de.esprit.appsuite.transl

## Enum TrEasAction

- java.lang.Object
- - java.lang.Enum<TrEasAction>
  - - de.esprit.appsuite.transl.TrEasAction

- All Implemented Interfaces:
    NlsActionKey, NlsKey, NlsToolTipKey, java.io.Serializable, java.lang.Comparable<TrEasAction>

      public enum TrEasAction
      extends java.lang.Enum<TrEasAction>
      implements NlsActionKey

  Translations for standard Actions
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT_ESPRIT`
    `ADD`
    `ALL`
    `APPLY`
    `APPLY_AND_CLOSE`
    `ARCHIVE_EXTRACT`
    `ARCHIVE_LIST`
    `BACK`
    `BREAK`
    `BUSY_ANIMATION_WINDOW`
    `CALENDAR_TODAY`
    `CANCEL`
    `CANCEL_ALL`
    `CANCEL_ASYNC_ACTIVITY`
    `CHANGE`
    `CHANGE_PASSWORD`
    `CHECK_INPUT`
    `CHECK_OPTIONS`
    `CHECK_VALUES`
    `CHOOSE_OPTION`
    `CHOOSE_OUTPUT_DIRECTORY`
    `CHOOSE_OUTPUT_FILE`
    `CLEANUP`
    `CLEAR`
    `CLEAR_APP_CACHE`
    `CLEAR_APP_LOGS`
    `CLEAR_BOUNDS`
    `CLEAR_MARKS`
    `CLEAR_SELECTION`
    `CLEAR_VALUE`
    `CLOSE`
    `COMPILE`
    `CONFIGURE`
    `CONFIRM`
    `CONNECT`
    `CONTINUE`
    `COPY`
    `CREATE`
    `CREATE_DIRECTORY`
    `CREATE_FILE`
    `CREATE_ZIP_ARCHIVE`
    `CUT`
    `DB_INFO`
    `DBO_DETAILS`
    `DELETE`
    `DELETE_RECORD`
    `DETACH_TASK_MONITOR`
    `DETAILS`
    `DETAILS_OFF`
    `DISABLE`
    `DISCONNECT`
    `DISPOSE`
    `DROP`
    `DUMP`
    `EDIT`
    `EDIT_RECORD`
    `ENABLE`
    `EXECUTE`
    `EXIT`
    `EXIT_OK`
    `EXIT_WITH_ERROR`
    `EXPAND_ALL`
    `EXPORT`
    `EXTRACT`
    `FETCH`
    `FILTER`
    `FIND`
    `FINISH`
    `FIRST_STEP`
    `FIT_RANGE`
    `FORMAT`
    `FREE_MEMORY`
    `HELP`
    `IMPORT`
    `INSERT`
    `JAVA_COMMAND`
    `KILL`
    `LIST`
    `LOAD`
    `LOAD_ASYNC`
    `LOAD_CLASS`
    `LOAD_CRED`
    `LOAD_TABLE`
    `LOCAL_ASYNC_TASKS`
    `LOG`
    `LOGIN`
    `MARK`
    `MARK_ALL`
    `MEASURE_TOOL`
    `MEMORY`
    `MORE`
    `NEW`
    `NEW_RECORD`
    `NEXT`
    `NO`
    `NONE`
    `NOT_YET_IMPLEMENTED`
    `OK`
    `PASTE`
    `PERFORMANCE`
    `PRINT`
    `PROBE_MEMORY`
    `READ`
    `REDO`
    `REFETCH`
    `REFRESH`
    `REHASH`
    `RELEASE`
    `RELOAD`
    `RELOAD_APP_TREE`
    `RENAME`
    `RENAME_PATH`
    `REOPEN`
    `REPLACE`
    `REPLACE_ALL`
    `REPLACE_AND_FIND`
    `RESET`
    `RESTART`
    `RETRY`
    `RUN`
    `SAVE`
    `SAVE_AS`
    `SAVE_CRED_AS`
    `SAVE_CURRENT_CRED`
    `SCAN_FOR_JAVA_VERSIONS`
    `SCREEN_SHOT`
    `SEARCH`
    `SECOND_STEP`
    `SELECT`
    `SELECT_ALL`
    `SEND_PROGRESS`
    `SET`
    `SET_LOCKED`
    `SET_NOT_NULL`
    `SET_ROOT_NODE`
    `SET_VALUES`
    `SHOW`
    `SHOW_ASYNC_ACTIVITY`
    `SHOW_RUNNING_WORKFLOWS`
    `SILENT`
    `SKIP`
    `START`
    `START_ALL`
    `STOP`
    `TEST`
    `TIMED_MESSAGE_WINDOW`
    `TREE_RELOAD`
    `UNDO`
    `UPDATE`
    `VIEW_APP_CACHE`
    `VIEW_APP_LOGS`
    `VIEW_DETAILS`
    `VIEW_FILE`
    `VIEW_TABLE`
    `YES`
    `ZOOM`
    `ZOOM_IN`
    `ZOOM_OUT`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getButtonText()`
    `java.lang.String` | `getMenuText()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTipText()`
    `static TrEasAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEasAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### RENAME

          public static final TrEasAction RENAME

    - #### FILTER

          public static final TrEasAction FILTER

    - #### HELP

          public static final TrEasAction HELP

    - #### TEST

          public static final TrEasAction TEST

    - #### RELOAD

          public static final TrEasAction RELOAD

    - #### SEARCH

          public static final TrEasAction SEARCH

    - #### EDIT

          public static final TrEasAction EDIT

    - #### READ

          public static final TrEasAction READ

    - #### SAVE

          public static final TrEasAction SAVE

    - #### SAVE_AS

          public static final TrEasAction SAVE_AS

    - #### CLOSE

          public static final TrEasAction CLOSE

    - #### CANCEL

          public static final TrEasAction CANCEL

    - #### APPLY

          public static final TrEasAction APPLY

    - #### NEW

          public static final TrEasAction NEW

    - #### INSERT

          public static final TrEasAction INSERT

    - #### UPDATE

          public static final TrEasAction UPDATE

    - #### DELETE

          public static final TrEasAction DELETE

    - #### RESET

          public static final TrEasAction RESET

    - #### REHASH

          public static final TrEasAction REHASH

    - #### CLEAR

          public static final TrEasAction CLEAR

    - #### DUMP

          public static final TrEasAction DUMP

    - #### OK

          public static final TrEasAction OK

    - #### ZOOM_IN

          public static final TrEasAction ZOOM_IN

    - #### ZOOM_OUT

          public static final TrEasAction ZOOM_OUT

    - #### EXIT

          public static final TrEasAction EXIT

    - #### ZOOM

          public static final TrEasAction ZOOM

    - #### APPLY_AND_CLOSE

          public static final TrEasAction APPLY_AND_CLOSE

    - #### NO

          public static final TrEasAction NO

    - #### YES

          public static final TrEasAction YES

    - #### SELECT_ALL

          public static final TrEasAction SELECT_ALL

    - #### MARK_ALL

          public static final TrEasAction MARK_ALL

    - #### CLEAR_MARKS

          public static final TrEasAction CLEAR_MARKS

    - #### CONFIRM

          public static final TrEasAction CONFIRM

    - #### LOAD

          public static final TrEasAction LOAD

    - #### DETAILS

          public static final TrEasAction DETAILS

    - #### FORMAT

          public static final TrEasAction FORMAT

    - #### DROP

          public static final TrEasAction DROP

    - #### CREATE

          public static final TrEasAction CREATE

    - #### FETCH

          public static final TrEasAction FETCH

    - #### CONNECT

          public static final TrEasAction CONNECT

    - #### DISCONNECT

          public static final TrEasAction DISCONNECT

    - #### SELECT

          public static final TrEasAction SELECT

    - #### MARK

          public static final TrEasAction MARK

    - #### BACK

          public static final TrEasAction BACK

    - #### NEXT

          public static final TrEasAction NEXT

    - #### SKIP

          public static final TrEasAction SKIP

    - #### FINISH

          public static final TrEasAction FINISH

    - #### FIND

          public static final TrEasAction FIND

    - #### REPLACE_AND_FIND

          public static final TrEasAction REPLACE_AND_FIND

    - #### REPLACE_ALL

          public static final TrEasAction REPLACE_ALL

    - #### REPLACE

          public static final TrEasAction REPLACE

    - #### CUT

          public static final TrEasAction CUT

    - #### COPY

          public static final TrEasAction COPY

    - #### PASTE

          public static final TrEasAction PASTE

    - #### DISPOSE

          public static final TrEasAction DISPOSE

    - #### START

          public static final TrEasAction START

    - #### STOP

          public static final TrEasAction STOP

    - #### EXECUTE

          public static final TrEasAction EXECUTE

    - #### BREAK

          public static final TrEasAction BREAK

    - #### LOGIN

          public static final TrEasAction LOGIN

    - #### ENABLE

          public static final TrEasAction ENABLE

    - #### DISABLE

          public static final TrEasAction DISABLE

    - #### PRINT

          public static final TrEasAction PRINT

    - #### LIST

          public static final TrEasAction LIST

    - #### UNDO

          public static final TrEasAction UNDO

    - #### REDO

          public static final TrEasAction REDO

    - #### REOPEN

          public static final TrEasAction REOPEN

    - #### SET

          public static final TrEasAction SET

    - #### ADD

          public static final TrEasAction ADD

    - #### SHOW

          public static final TrEasAction SHOW

    - #### LOG

          public static final TrEasAction LOG

    - #### CHECK_OPTIONS

          public static final TrEasAction CHECK_OPTIONS

    - #### CHOOSE_OPTION

          public static final TrEasAction CHOOSE_OPTION

    - #### FIRST_STEP

          public static final TrEasAction FIRST_STEP

    - #### SECOND_STEP

          public static final TrEasAction SECOND_STEP

    - #### LOAD_ASYNC

          public static final TrEasAction LOAD_ASYNC

    - #### LOAD_CLASS

          public static final TrEasAction LOAD_CLASS

    - #### REFRESH

          public static final TrEasAction REFRESH

    - #### REFETCH

          public static final TrEasAction REFETCH

    - #### RETRY

          public static final TrEasAction RETRY

    - #### KILL

          public static final TrEasAction KILL

    - #### CONFIGURE

          public static final TrEasAction CONFIGURE

    - #### PERFORMANCE

          public static final TrEasAction PERFORMANCE

    - #### ALL

          public static final TrEasAction ALL

    - #### NONE

          public static final TrEasAction NONE

    - #### IMPORT

          public static final TrEasAction IMPORT

    - #### EXPORT

          public static final TrEasAction EXPORT

    - #### RELEASE

          public static final TrEasAction RELEASE

    - #### SILENT

          public static final TrEasAction SILENT

    - #### RUN

          public static final TrEasAction RUN

    - #### CHANGE

          public static final TrEasAction CHANGE

    - #### CLEANUP

          public static final TrEasAction CLEANUP

    - #### FREE_MEMORY

          public static final TrEasAction FREE_MEMORY

    - #### MEMORY

          public static final TrEasAction MEMORY

    - #### CONTINUE

          public static final TrEasAction CONTINUE

    - #### MORE

          public static final TrEasAction MORE

    - #### ABOUT_ESPRIT

          public static final TrEasAction ABOUT_ESPRIT

    - #### CLEAR_SELECTION

          public static final TrEasAction CLEAR_SELECTION

    - #### LOAD_TABLE

          public static final TrEasAction LOAD_TABLE

    - #### DELETE_RECORD

          public static final TrEasAction DELETE_RECORD

    - #### DBO_DETAILS

          public static final TrEasAction DBO_DETAILS

    - #### NEW_RECORD

          public static final TrEasAction NEW_RECORD

    - #### EDIT_RECORD

          public static final TrEasAction EDIT_RECORD

    - #### CHANGE_PASSWORD

          public static final TrEasAction CHANGE_PASSWORD

    - #### SET_VALUES

          public static final TrEasAction SET_VALUES

    - #### CHECK_VALUES

          public static final TrEasAction CHECK_VALUES

    - #### SET_NOT_NULL

          public static final TrEasAction SET_NOT_NULL

    - #### CHECK_INPUT

          public static final TrEasAction CHECK_INPUT

    - #### SET_LOCKED

          public static final TrEasAction SET_LOCKED

    - #### COMPILE

          public static final TrEasAction COMPILE

    - #### VIEW_DETAILS

          public static final TrEasAction VIEW_DETAILS

    - #### DETAILS_OFF

          public static final TrEasAction DETAILS_OFF

    - #### NOT_YET_IMPLEMENTED

          public static final TrEasAction NOT_YET_IMPLEMENTED

    - #### VIEW_TABLE

          public static final TrEasAction VIEW_TABLE

    - #### VIEW_FILE

          public static final TrEasAction VIEW_FILE

    - #### SAVE_CRED_AS

          public static final TrEasAction SAVE_CRED_AS

    - #### SAVE_CURRENT_CRED

          public static final TrEasAction SAVE_CURRENT_CRED

    - #### LOAD_CRED

          public static final TrEasAction LOAD_CRED

    - #### DB_INFO

          public static final TrEasAction DB_INFO

    - #### CLEAR_BOUNDS

          public static final TrEasAction CLEAR_BOUNDS

    - #### CLEAR_VALUE

          public static final TrEasAction CLEAR_VALUE

    - #### FIT_RANGE

          public static final TrEasAction FIT_RANGE

    - #### CALENDAR_TODAY

          public static final TrEasAction CALENDAR_TODAY

    - #### LOCAL_ASYNC_TASKS

          public static final TrEasAction LOCAL_ASYNC_TASKS

    - #### BUSY_ANIMATION_WINDOW

          public static final TrEasAction BUSY_ANIMATION_WINDOW

    - #### TIMED_MESSAGE_WINDOW

          public static final TrEasAction TIMED_MESSAGE_WINDOW

    - #### JAVA_COMMAND

          public static final TrEasAction JAVA_COMMAND

    - #### SHOW_RUNNING_WORKFLOWS

          public static final TrEasAction SHOW_RUNNING_WORKFLOWS

    - #### SHOW_ASYNC_ACTIVITY

          public static final TrEasAction SHOW_ASYNC_ACTIVITY

    - #### CANCEL_ASYNC_ACTIVITY

          public static final TrEasAction CANCEL_ASYNC_ACTIVITY

    - #### DETACH_TASK_MONITOR

          public static final TrEasAction DETACH_TASK_MONITOR

    - #### MEASURE_TOOL

          public static final TrEasAction MEASURE_TOOL

    - #### CHOOSE_OUTPUT_DIRECTORY

          public static final TrEasAction CHOOSE_OUTPUT_DIRECTORY

    - #### CHOOSE_OUTPUT_FILE

          public static final TrEasAction CHOOSE_OUTPUT_FILE

    - #### SCAN_FOR_JAVA_VERSIONS

          public static final TrEasAction SCAN_FOR_JAVA_VERSIONS

    - #### START_ALL

          public static final TrEasAction START_ALL

    - #### CANCEL_ALL

          public static final TrEasAction CANCEL_ALL

    - #### TREE_RELOAD

          public static final TrEasAction TREE_RELOAD

    - #### EXPAND_ALL

          public static final TrEasAction EXPAND_ALL

    - #### EXTRACT

          public static final TrEasAction EXTRACT

    - #### SCREEN_SHOT

          public static final TrEasAction SCREEN_SHOT

    - #### EXIT_OK

          public static final TrEasAction EXIT_OK

    - #### EXIT_WITH_ERROR

          public static final TrEasAction EXIT_WITH_ERROR

    - #### RESTART

          public static final TrEasAction RESTART

    - #### SEND_PROGRESS

          public static final TrEasAction SEND_PROGRESS

    - #### PROBE_MEMORY

          public static final TrEasAction PROBE_MEMORY

    - #### RELOAD_APP_TREE

          public static final TrEasAction RELOAD_APP_TREE

    - #### CLEAR_APP_CACHE

          public static final TrEasAction CLEAR_APP_CACHE

    - #### CLEAR_APP_LOGS

          public static final TrEasAction CLEAR_APP_LOGS

    - #### VIEW_APP_CACHE

          public static final TrEasAction VIEW_APP_CACHE

    - #### VIEW_APP_LOGS

          public static final TrEasAction VIEW_APP_LOGS

    - #### RENAME_PATH

          public static final TrEasAction RENAME_PATH

    - #### CREATE_DIRECTORY

          public static final TrEasAction CREATE_DIRECTORY

    - #### CREATE_FILE

          public static final TrEasAction CREATE_FILE

    - #### SET_ROOT_NODE

          public static final TrEasAction SET_ROOT_NODE

    - #### ARCHIVE_LIST

          public static final TrEasAction ARCHIVE_LIST

    - #### ARCHIVE_EXTRACT

          public static final TrEasAction ARCHIVE_EXTRACT

    - #### CREATE_ZIP_ARCHIVE

          public static final TrEasAction CREATE_ZIP_ARCHIVE

  - ### Method Detail

    - #### values

          public static TrEasAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEasAction c : TrEasAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEasAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getButtonText

          public java.lang.String getButtonText()

      Specified by:
        `getButtonText` in interface `NlsActionKey`

    - #### getMenuText

          public java.lang.String getMenuText()

      Specified by:
        `getMenuText` in interface `NlsActionKey`

    - #### getTipText

          public java.lang.String getTipText()

      Specified by:
        `getTipText` in interface `NlsToolTipKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.